%  Ajuste del controlador PID aplicando las frmulas de sintona de
%  Astrm y Hgglund (1984) con caractersticas del proceso obtenidas
%  en lazo cerrado.
%
%  Las posibles llamadas a esta funcin son:
%
%                kp=ah(kc,mg)
%        [kp,ti,td]=ah(kc,tc,mf,alfa,1)
%        [kp,ti,td]=ah(kc,tc,mg,alfa,2)
%
%  Donde:
%      - kc y tc representan la ganancia crtica y el perodo de oscilacin
%        mantenida del proceso
%      - mf y mg la especificacin correspondiente de margen de fase o margen
%        ganancia
%      - alfa la razn que se desea entre la constantes de tiempo derivativa e
%        integral del controlador
%      - 1  2, un valor entero para indicar el tipo de ajuste (1 = por Margen
%        de Fase, 2 = por Margen de Ganancia) que se quiere realizar
%
% Autor: Fernando Morilla

function [kp,ti,td]=ah(arg1,arg2,arg3,arg4,arg5)

npe=nargin;
nps=nargout;
if nps==1 & npe==2
   kp=ah_p(arg1,arg2);
else
   [kp,ti,td]=ah_p(arg1,arg2,arg3,arg4,arg5);
end