%  Ajuste de los controladores PI y PID aplicando las frmulas de sintona 
%  AMIGO (Astrm y Hgglund, 2005) con caractersticas del proceso obtenidas
%  en lazo cerrado o en lazo abierto  conocida su ganancia en estado 
%  estacionario.
%  Adems de los parmetros de control, estas frmulas aconsejan sobre la 
%  estructura de control: (I-P y I-PD si b=0) o (PI y PI-D si b=1).
%
%  Las posibles llamadas a esta funcin son:
%
%       [kp,ti,b]=amigo(k,kc,tc,1)
%       [kp,ti,b]=amigo(k,tp,to,2)
%       [kp,ti,td,b]=amigo(k,kc,tc,1)
%       [kp,ti,td,b]=amigo(k,tp,to,2)
%
%  Donde:
%      - k, tp y to, la ganancia, la constante de tiempo y el retardo de un
%        modelo del proceso
%      - kc y tc representan la ganancia crtica y el perodo de oscilacin
%        mantenida del proceso

function [kp,ti,td,b]=amigo(arg1,arg2,arg3,tipo)

if nargout==3
   [kp,ti,b]=amigo_p(arg1,arg2,arg3,tipo);
   td=0;
else
   [kp,ti,td,b]=amigo_p(arg1,arg2,arg3,tipo);
end