% Programa para comprobar el ajuste del controlador con el modelo del proceso
% Utiliza los parmetros del modelo del proceso contenidos en el archivo
% ktpto.mat y los parmetros del controlador contenidos en el archivo kptitd.mat
%
% Autor: Fernando Morilla

% Carga parmetros del modelo del proceso del fichero kptitd.mat
load ktpto.mat

tfin=100;               % Duracin de la simulacin
tm=tfin/1000;           % Perodo de muestreo de las variables del proceso
spini=0;                % Valor inicial del punto de consigna
spfin=1;                % Valor final del punto de consigna
cargaini=0;             % Valor inicial de la carga sobre la seal de control
cargafin=1;             % Valor final de la carga sobre la seal de control
tsp=tfin/10;            % Instante de cambio brusco en el punto de consigna
tcarga=tfin/2+tfin/10;  % Instante de cambio brusco en la carga

% Forma numerador y denominador del modelo del proceso
num=k;
den=[tp 1];

% Carga parmetros de control del fichero kptitd.mat
load kptitd

% Lanza la simulacin
sim('sim_mod',tfin)

% Asigna variables de la simulacin
t=reg_pv(:,1);
sp=reg_pv(:,2);
pv=reg_pv(:,3);
vm=reg_vm(:,2);

% Presenta los resultados de la simulacin
close
subplot(211)
plot(t,sp,t,pv)
title('Seal de consigna y salida del proceso')
grid

subplot(212)
plot(t,vm)
title('Seal de control')
grid