%  Ajuste del controlador PI o PID, aplicando las frmulas de sintona
%  en lazo abierto con criterios integrales (MIAE, MISE o MITAE),
%  para cambios en la carga o en el punto de consigna.
%
%  Las posibles llamadas a esta funcin son:
%
%    [kp,ti]=sint_ci(k,tp,to,crit_sint,tipo_cambio)
% [kp,ti,td]=sint_ci(k,tp,to,crit_sint,tipo_cambio,tipo_pid)
%
%  Donde:
%      - k, tp y to, la ganancia, la constante de tiempo y el retardo de un
%        modelo del proceso
%      - crit_sint, el criterio de sintona elegido:
%                    1 = Criterio MIAE
%                    2 = Criterio MISE
%                    3 = Criterio MITAE
%      - tipo_cambio, el cambio para el que se desea ajustar el controlador:
%                    1 = Cambio en la carga
%                    2 = Cambio en el punto de consigna
%      - tipo_pid, solo necesario en el caso PID, para indicar de que tipo
%        de algoritmo PID se trata:
%                    1 = No interactivo
%                    2 = Interactivo
%                    3 = Paralelo
%
% Autor: Fernando Morilla

function [kp,ti,td]=sint_ci(arg1,arg2,arg3,arg4,arg5,arg6)

npe=nargin;
nps=nargout;
if nps==2 & npe==5
   [kp,ti]=sint_pi(arg1,arg2,arg3,arg4,arg5);
end
if nps==3 & npe==6
   [kp,ti,td]=sint_pid(arg1,arg2,arg3,arg4,arg5,arg6);
end