%  Ajuste del controlador PID aplicando las frmulas de sintona de
%  Ziegler y Nichols (1942) con caractersticas del proceso obtenidas
%  en lazo cerrado o en lazo abierto.
%
%  Las posibles llamadas a esta funcin son:
%
%                kp=zn(kc)
%                kp=zn(k,tp,to)
%           [kp,ti]=zn(kc,tc)
%           [kp,ti]=zn(k,tp,to)
%        [kp,ti,td]=zn(kc,tc)
%        [kp,ti,td]=zn(k,tp,to)
%
%  Donde:
%      - kc y tc representan la ganancia crtica y el perodo de oscilacin
%        mantenida del proceso
%      - k, tp y to, la ganancia, la constante de tiempo y el retardo de un
%        modelo del proceso
%
% Autor: Fernando Morilla

function [kp,ti,td]=zn(arg1,arg2,arg3)

npe=nargin;
nps=nargout;
if nps==1 & npe==1
   kp=zn_p(arg1);
end
if nps==1 & npe==3
   kp=zn_p(arg1,arg2,arg3);
end
if nps==2 & npe==2
   [kp,ti]=zn_p(arg1,arg2);
end
if nps==2 & npe==3
   [kp,ti]=zn_p(arg1,arg2,arg3);
end
if nps==3 & npe==2
   [kp,ti,td]=zn_p(arg1,arg2);
end
if nps==3 & npe==3
   [kp,ti,td]=zn_p(arg1,arg2,arg3);
end